%define		php5_extension	mime_magic

Name:	 	php5-%php5_extension
Version:	%php5_version
Release:	%php5_release

Summary:	Mimetype extension for PHP5

License:	PHP Licence
Group:		System/Servers
URL:		http://www.php.net/manual/en/book.mime-magic.php

Packager:	Nikolay A. Fetisov <naf@altlinux.ru>

#Source0:	standart PHP module
Source1:	php-%php5_extension.ini
Source2:	php-%php5_extension-params.sh

BuildRequires(pre): rpm-build-php5 
BuildRequires: php5-devel = %php5_version-%php5_release
BuildRequires: file
Requires: file

%description
Mimetype PHP extention tries to detect MIME Content-type for a file.
It is deprecated, use Fileinfo for a new code.

# magic.mime file location (from file package)
%define  mime_file	%( mime_magic='/usr/share/file/magic.mime'; \
			[ -f %_datadir/file/magic.mime ] && mime_magic='%_datadir/file/magic.mime'; \
			[ -f %_datadir/file/magic ] && mime_magic='%_datadir/file/magic'; \
			echo -n "$mime_magic"; )

%prep
%setup -T -c
cp -pr -- %php5_extsrcdir/%php5_extension/* .

%build
phpize

BUILD_HAVE=`echo %php5_extension | tr '[:lower:]-' '[:upper:]_'`
%add_optflags -fPIC -L%_libdir
export LDFLAGS=-lphp-%_php5_version


%configure \
	--with-%php5_extension=%mime_file \
	--with-libdir=%_lib \
	#

%php5_make

%install
%php5_make_install
install -D -m 644 -- %SOURCE1 %buildroot/%php5_extconf/%php5_extension/config
install -D -m 644 -- %SOURCE2 %buildroot/%php5_extconf/%php5_extension/params

%__subst "s@##MIME_FILE##@%mime_file@g" %buildroot/%php5_extconf/%php5_extension/config

%files
%php5_extconf/%php5_extension
%php5_extdir/*
%doc CREDITS

%post
%php5_extension_postin

%preun
%php5_extension_preun

%changelog
* Sun Oct 12 2008 Nikolay A. Fetisov <naf@altlinux.ru> 5.2.7.20080920-alt1
- Rebuild for PHP 5.2.7.20080920 
- Fix magic.mime file location

* Fri Jul 11 2008 Nikolay A. Fetisov <naf@altlinux.ru> 5.2.7.20080627-alt1
- Rebuild for PHP 5.2.7

* Tue Apr 15 2008 Nikolay A. Fetisov <naf@altlinux.ru> 5.2.5-alt1
- Initial build

